
<?php

include_once 'core/class.php';
require_once 'core/system.php';








head('Оборотень');




reg();

$weapo = $user['strength']+$user['dobav'];



$bum = 5;
$param = new param;











$intro = $param->udar($weapo,$bum,$user['crit'],$user['sokru']);







list($weapon,$crit,$sokru) = $intro;










$plazma = $user['strength']+$user['dobav'];

$messi = ($crit==1) ? '<font color=red>(крит)</font>' : '';


$am1_time = $user['am1_time'] -time();
$am2_time = $user['am2_time'] -time();
$apteka_time = $user['apteka_t'] -time();

if($user['s_pet']==1){

$pet = $dbc->query("SELECT `name`,`str`,`spec` FROM `user_pets` WHERE `id_user` = '".$user['id']."'")->fetch_assoc(); $next = $pet['str']; }


$rast = ($next>0 and $pet['spec']==2) ? $next : 0 ;
























$clan = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1")->fetch_assoc();

$clan_id = $clan['id'];

if($user['clan']<=0){ header('location: clan.php'); }



$sila = $clan['level']*10;
$prot = $clan['level']*5;


    if($clan['ob_hp']==0){


?><center><img src="img/sob/ob.jpg" width="100%" height="120" alt="*"></center>




<div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><center> Оборотень Мёртв</center></div></div><?









    foot();
    exit;
    }
function dead_bos(){
global $user;
global $dbc;

global $clan;









    



            




                
$gold = $clan['level']*2;
$sera = 5000;




                






                
$dbc->query("UPDATE `clan` SET `ob_hp`=0,`kazna`=`kazna`+'".$gold."',`sera`=`sera`+'".$sera."' WHERE `id`='".$user['clan']."'");


$dbc->query("INSERT INTO `clan_stena` SET `clan_id`='".$clan['id']."', `user_id`='".$user['id']."', `text`='<span class=info>Оборотень убит, награда в казну клана <img src=\"img/money/money.png\">".$gold."  <img src=\"img/stat/sera.png\"> ".$sera."!</span>',        `time`='".time()."'");




                





header ('location: oboroten.php');exit();

}




/////Элексир
    if(isset($_GET['el'])){
                if ($user['apteka_t'] > time()) {   
header('location:oboroten.php');exit;}


If($user['apteka']<=0){
$loki = '<font color=grey> У вас нет зелий</font>'; 


 $_SESSION['logi']="$loki";  header('location:oboroten.php');exit;}else{




$min = '<font color=green> Вы использовали зелье, здоровье восстановлено</font>'; 




$_SESSION['logi']="$min";


$dbc->query("UPDATE `users` SET `health`='".$user['max_health']."',`apteka_t` = '" .
(time() + 40) . "' ,`apteka`=`apteka`-1 WHERE `id`='".$user['id']."'");header('location:oboroten.php');exit;}}






/////////Простой Удар

    if(isset($_GET['jump'])){



If($user['udar']>time()){
$loki = '<font color=grey> Промах!</font>'; 

$_SESSION['logi']="$loki"; header('location:oboroten.php');exit;}




$lolvamp = mt_rand(1,100);
$lolpet = mt_rand(1,100);

$hill = $user['strength'] * $user['vampir'] / 100; $hill = ceil($hill);



$hill = ($lolvamp<=20) ? $hill : 0;








$last_pet = ($lolpet<=25) ? $pet['str'] : 0;




$conf=$hill+$last_pet;



$conf=$conf+$user['health']; 


$itog = ($conf>=$user['max_health']) ? $user['max_health'] : $conf; 













$ma = ($lolvamp<=20) ? ' ,похитив '.$hill.' здоровья' : '';



if($user['health']<$user['max_health'] and $lolpet<=25 || $lolvamp<=20){






$dbc->query('UPDATE `users` SET `health` = "' .$itog. '" WHERE `id` = "' . $user[id] . '"'); }


$rix = 50+$prot;
$vi ='';
$re = $weapon;
$re = $re - $rix;

$weapon = ($re>0) ? $re : 1;

$wep = $weapon;
if($lolpet<=25 and $pet['spec']==1){

$vi = '</br><font color=green>Ваш питомец '.$pet[name].' зацепил Оборотня  на  '.$pet['str'].'</font>'; $weapon = $weapon+$pet['str']; }






if ($weapon >= $clan['ob_hp']) {


Oput($weapon);
dead_bos(); }
else{
$dbc->query("UPDATE `clan` SET `ob_hp`=`ob_hp`-".$weapon." WHERE `id`='".$user['clan']."'");

$dbc->query('UPDATE `users` SET `udar` = "' .(time() + 2) . '" WHERE `id` = "' . $user[id] . '"');

$maxty = ($sokru==1) ? 'Сокрушил' : Ударил;


$suk = '<font color=green> Ты '.$maxty.' Оборотня на  '.$wep.' '.$messi.'</font>'.$ma.''; }





If($user['s_pet']==1 and $user['health']<$user['max_health'] and $lolpet<=25){



If($pet['spec']==2){ 



$vi = '</br><font color=lime> '.$pet['name'].' Исцелил тебя на  '.$last_pet.'</font>'; 











}}

Oput($weapon);


$mob_udar = mt_rand(1,2);


$tf = 100; 
$tf = $tf+$sila;


$tf = $tf - $user['defense'];
$mob_uron = ($tf>0) ? $tf : mt_rand(50,2700);





if($mob_udar == 2){
$wow = array('ударил','укусил','ранил');
shuffle($wow);
$tanki = '</br><font color=red> Оборотень '.$wow[0].' тебя на  '.$mob_uron.'</font>'; 



if($mob_uron>0){
                if ($mob_uron > $user['health']) {

$dbc->query("UPDATE `users` SET `health`='0' WHERE `id`='".$user['id']."'");

header ('location:death.php');exit();
}else{ $dbc->query("UPDATE `users` SET `health`=`health`-".$mob_uron." WHERE `id`='".$user['id']."'");}
}

}

$suk.=$tanki;
$suk.=$vi;
$_SESSION['logi']="$suk";





header('location:oboroten.php');exit();}



//////Душа Тени


    if(isset($_GET['dusha'])){
                if($user['am1_time'] > time()) {  header('location:oboroten.php');exit;}else{


$basik = 0;
$inf ='';

if($user['pers']==1 and $user['amulet1']>4){ 



$basik = $user['defense'] * 30 / 100;
$basik = ceil($basik);

 $ins ='<span class=iLegendary>дополнительно + '.$basik.' силы , Эффект: Ярость Воина</span>'; }




$astor = $plazma * $user['ten'] / 100;


$astor = ceil($astor);
$sin = $astor;
$astor = $astor+$basik;



$dbc->query('UPDATE `users` SET `am1_time` = "' .(time() + 60) . '",`dobav`=`dobav`+"'.$astor.'" WHERE `id` = "' . $user[id] . '"');

$maw = '<font color=green> Ты активировал Душа Теней (Сила +'.$sin.') '.$ins.'</font>'; 


$_SESSION['logi']="$maw"; header('location:oboroten.php');exit;}}











////// Плазма

    if(isset($_GET['plazm'])){
                if($user['am2_time'] > time()) { header('location:oboroten.php');exit;}else{


$dbc->query('UPDATE `users` SET `am2_time` = "' . (time() + 60) . '" WHERE `id` = "' . $user['id'] . '"');
$astor = $plazma * $user['plazm'] / 100;


$astor = ceil($astor);
$astor = $astor+$plazma;
if($crit==1){$tali= $astor * 50 / 100; $tali = ceil($tali); $astor = $astor+$tali;$mess =' <font color=red>(крит)</font>';}

$in ='';
$sh = mt_rand(1,3);
if($user['pers']==2 and $user['amulet2']>4 and $sh==2){ 
$astor = $astor*2;
$in =' <span class=iLegendary>Сила удвоена, Эффект: Гнев Мага</span>';}


if ($astor >= $clan['ob_hp']) {         dead_bos();

Oput($astor);

}else{


Oput($astor);
$dbc->query("UPDATE `clan` SET `ob_hp`=`ob_hp`-".$astor." WHERE `id`='".$user['clan']."'");

$dbc->query("UPDATE `users` SET `sob`=`sob`+".$astor." WHERE `id`='".$user['id']."'");
$maw = '<font color=blueviolet> Лучи плазмы пронзили Оборотня  раня на '.$astor.' '.$mess.' '.$in.'</font>';   $_SESSION['logi']="$maw"; header('location:?');exit;}}}






$infa = array('Оборотень прыгает с холма приземлясь рядом с вами','Столько злости в глазах вы еще не видели','Зловещее рычание слышно в темноте','От страха по телу прошла дрожь');
shuffle($infa);


?><center><span class="iLegendary"><?=$infa[0]?></center></span><?

    


?><div class="panel-inner"><img src="/images/mob/ob.png" width="32" height="32" alt="."/><span class="major">Оборотень<img src="img/stat/hp.png"><strong><?=$clan['ob_hp']?></strong></span><br/></div><?

?><div class="combat-line"><a href="?jump" class="btn-aqua btn-potion"><img class="link-icon" src="/img/log/2.png" alt="" width="12" height="12"><span>Атаковать</span></a></div><?






If($am2_time <= 0){ ?><div class="combat-line"><a href="?plazm" class="btn-red"><img class="link-icon" src="/img/log/3.png" alt="" width="12" height="12"><span>Сияние Плазмы</span></a></div><?}else{?><div class="combat-line"><a href="?plazm" class="btn-red inactive inactive25"><img class="link-icon"src="/img/log/3.png" alt="" width="12" height="12"><span>Сияние Плазмы</span>&nbsp;<span class="locked-time"><?=Sec2Time($am2_time)?></span></a></div><?}








If($am1_time <= 0){?><div class="combat-line"><a href="?dusha" class="btn-red"><img class="link-icon" src="/img/log/4.png" alt="" width="12" height="12"><span>Душа Тени </span></a></div><?}else{?><div class="combat-line"><a href="?dusha" class="btn-red inactive inactive25"><img class="link-icon" src="/img/log/4.png" alt="" width="12" height="12"><span>Душа Тени</ span>&nbsp;<span class="locked-time"><?=Sec2Time($am1_time)?></span></a></div><?}  If($apteka_time <= 0){?><div class="combat-line"><a href="?el" class="btn-aqua btn-potion"><img class="link-icon" src="/img/log/5.png" alt="" width="12" height="12"><span>Зелье Здоровья(<?=$user['apteka']?>)</span></a></div><? }Else{ ?></div><div class="combat-line"><a href="?el" class="btn-aqua inactive-skill inactive50"><img class="link-icon" src="/img/log/5.png" alt="" width="12" height="12"><span>Зелье Здоровья(<?=$user['apteka']?>)</span>&nbsp;<span class="locked-time"><?=Sec2Time($apteka_time)?></span></a></div><?}





if($user['s_pet']==1){?><div class="info-box"><font color=orange>Помощник</font>: <font color=grey><?=$pet['name']?></br></div><?}

if (isset($_SESSION['logi'])){?>

<div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2"><?=$_SESSION[logi]?></div></div><?   $_SESSION['logi']=NULL; }








    








$gogom = $dbc->query("SELECT * FROM `users` WHERE `where`='Оборотень' AND `clan`='".$user['clan']."' ORDER BY `health` DESC LIMIT 6");


?><span class="iEpic">В битве с оборотнем:  </span><?

while($namf=$gogom->fetch_assoc()){


?><img src="img/class/<?=$namf['storona']?>/<?=$namf['pers']?>/pers.png" width="14" height="14" alt="*"><b><a href="pers.php?ank=<?=$namf['id']?>"<font color=green> <?=$namf['login']?></font></b></a> (<img src="img/stat/hp.png"><?=$namf['health']?>)<br><?}
?></div></div><? 


















foot();
?> 
